result-inl.h File Reference
`#include "hwy/contrib/sort/algo-inl.h"`
`#include <time.h>`
`#include <algorithm>`
`#include <string>`
`#include "hwy/base.h"`
`#include "hwy/nanobenchmark.h"`

Go to the source code of this file.

## Classes

struct | hwy::Timestamp
struct | hwy::HWY_NAMESPACE::Result

## Namespaces

namespace | hwy
namespace | hwy::HWY_NAMESPACE

## Macros

#define | HIGHWAY_HWY_CONTRIB_SORT_RESULT_TOGGLE

## Functions

static double | hwy::SecondsSince (const Timestamp &t0)
static double | hwy::SummarizeMeasurements (std::vector< double > &seconds)
| HWY_BEFORE_NAMESPACE ()
template<class Traits , typename LaneType >
bool | hwy::HWY_NAMESPACE::VerifySort (Traits st, const InputStats< LaneType > &input_stats, const LaneType *out, size_t num_lanes, const char *caller)
| HWY_AFTER_NAMESPACE ()

## Macro Definition Documentation

## HIGHWAY_HWY_CONTRIB_SORT_RESULT_TOGGLE

#define HIGHWAY_HWY_CONTRIB_SORT_RESULT_TOGGLE

## Function Documentation

## HWY_AFTER_NAMESPACE()

HWY_AFTER_NAMESPACE | ( |  | ) |

## HWY_BEFORE_NAMESPACE()

HWY_BEFORE_NAMESPACE | ( |  | ) |